<?php

	class Controller_Authorize extends Controller
	{
	
		public $modx;
		public $options;
		
		public $view;
		public $content;

		public function __construct()
		{
			parent :: __construct();
		}
		
		public function actionMain()
		{
			$this->content['messages'] = array();
			
			$this->content['pagetitle'] = 'Установка модуля';
			
			if(isset($_POST['action']) && $_POST['action'] == 'main')
			{
				if($_POST['yandex_app_id'] == '') $this->content['messages'][] = array('type' => 'error', 'message' => 'Ошибка: ID приложения не может иметь пустое значение!');
				if($_POST['yandex_app_secret'] == '') $this->content['messages'][] = array('type' => 'error', 'message' => 'Ошибка: Пароль приложения не может иметь пустое значение!');
				if($_POST['counter_id'] == '') $this->content['messages'][] = array('type' => 'error', 'message' => 'Ошибка: Код (номер) счетчика не может иметь пустое значение!');
				if($_POST['login'] == '') $this->content['messages'][] = array('type' => 'error', 'message' => 'Ошибка: Логин пользователя не может иметь пустое значение!');
				if($_POST['password'] == '') $this->content['messages'][] = array('type' => 'error', 'message' => 'Ошибка: Пароль пользователя не может иметь пустое значение!');

				if(count($this->content['messages']) == 0)
				{
					$options = parent :: getOptions();
					
					foreach($options as $k => $o) if(isset($_POST[$k]) && $_POST[$k] != '') $options[$k] = $_POST[$k];
					
					parent :: setOptions($options);

					parent :: Run();
				}
			}
			
			$this->view->generate('authorize/main', $this->content);
		}

	}

?>