<?php if(count($content['messages']) > 0) echo '<p class="alert alert-' . $content['messages'][0]['type'] . '">' . $content['messages'][0]['message'] . '</p>'; ?>

<p>Прежде чем использовать данный модуль, вам необходимо <a href="https://metrika.yandex.ru/list/" target="_blank">зарегистрировать счетчик Яндекс.Метрики</a> и зарегистрировать приложение для авторизации на сайте Яндекс со следующими параметрами:</p>

<ul>
	<li>Название: Произвольное</li>
	<li>Описание: Произвольное (можно не указывать)</li>
	<li>Ссылка на иконку: На ваше усмотрение (можно не указывать)</li>
	<li>Ссылка на сайт приложения: Ссылка на текущий сайт, на котором будет использоваться данный модуль и для которого зарегистрирован счетчик Яндекс.Метрики</li>
	<li>Права: "Яндекс.Метрика" > "Получение статистики, чтение параметров своих и доверенных счётчиков"</li>
	<li>Callback URL: Подставить URL для разработки</li>
</ul>

<p><a href="https://oauth.yandex.ru/client/my" target="_blank">Зарегистрировать приложение</a></p>

<p>После того, как вы зарегистрируете счетчик и приложение, вам необходимо получить код счетчика (номер счётчика, который указан в списке всех ваших счетчиков) и в размещенную ниже форму, подставить значение кода счетчика, а так же заполнить другие параметры для настройки модуля.</p>

<form method="post">
	<input type="hidden" name="action" value="main"/>
	<div class="row">
		<label>Укажите ID приложения <sup class="required">*</sup></label>
		<input type="text" name="yandex_app_id" value="<?php echo isset($_POST['yandex_app_id']) ? htmlspecialchars($_POST['yandex_app_id']) : ''; ?>"/>
	</div>
	<div class="row">
		<label>Укажите Пароль приложения <sup class="required">*</sup></label>
		<input type="text" name="yandex_app_secret" value="<?php echo isset($_POST['yandex_app_secret']) ? htmlspecialchars($_POST['yandex_app_secret']) : ''; ?>"/>
	</div>
	<div class="row">
		<label>Укажите код (номер) счетчика <sup class="required">*</sup></label>
		<input type="text" name="counter_id" value="<?php echo isset($_POST['counter_id']) ? htmlspecialchars($_POST['counter_id']) : ''; ?>"/>
	</div>
	<div class="row">
		<label>Укажите логин пользователя <sup class="required">*</sup></label>
		<input type="text" name="login" value="<?php echo isset($_POST['login']) ? htmlspecialchars($_POST['login']) : ''; ?>"/>
	</div>
	<div class="row">
		<label>Укажите пароль пользователя <sup class="required">*</sup></label>
		<input type="text" name="password" value="<?php echo isset($_POST['password']) ? htmlspecialchars($_POST['password']) : ''; ?>"/>
	</div>
	<div class="row">
		<input type="submit" value="Установить модуль"/>
	</div>
</form>